/********************************
 * [Code to control slideshow.] *
*********************************/

const slides = Array.from(document.querySelectorAll(".slide"));
const carousel = document.querySelector(".carousel");
const lControl = document.querySelector(".carousel-button__left");
const rControl = document.querySelector(".carousel-button__right");

/**
 * [Scroll slide to specific index.]
**/

function scrollSlide(slideNumber) {
    slides[slideNumber].scrollIntoView({
        behavior: 'smooth',
        block: 'center'
    });
}

// Initialise Slides
let currSlide = 0;

// Move slides to the left
lControl.addEventListener('click', () => {
    currSlide > 0 ? currSlide-- : currSlide = slides.length - 1;
    scrollSlide(currSlide);
});


// Move slides to the right
rControl.addEventListener('click', () => {
    currSlide < slides.length - 1 ? currSlide++ : currSlide = 0;
    scrollSlide(currSlide);
});